Subject: 25.0.95 and 24.5: NS variants both scroll too much

From: Peter Dyballa <[email-masked]>
Date: Fri, 17 Jun 2016 17:15:39 +0200

Hello!

These two Emacsen,

In GNU Emacs 25.0.95.1 (x86_64-apple-darwin13.4.0, NS appkit-1265.21 Version 10.9.5 (Build 13F1603))
 of 2016-06-11 built on builder10-9.local
Windowing system distributor 'Apple', version 10.3.1404
Configured using:
 'configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp''

Configured features:
NOTIFY ACL LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS

Important settings:
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

and

In GNU Emacs 24.5.1 (x86_64-apple-darwin15.4.0, NS apple-appkit-1404.46)
 of 2016-05-13 on demucwolf85.muc.de.ad.dom
Windowing system distributor `Apple', version 10.3.1404
Configured using:
 `configure --with-ns --disable-ns-self-contained
 '--enable-locallisppath=/Library/Application Support/Emacs''

Important settings:
  locale-coding-system: utf-8-unix

and

In GNU Emacs 25.0.95.1 (x86_64-apple-darwin13.4.0, NS appkit-1265.21 Version 10.9.5 (Build 13F1603))
 of 2016-06-11 built on builder10-9.local
Windowing system distributor 'Apple', version 10.3.1404
Configured using:
 'configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp''

Configured features:
NOTIFY ACL LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS

Important settings:
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

and

In GNU Emacs 25.0.95.1 (x86_64-apple-darwin15.5.0, NS appkit-1404.47 Version 10.11.5 (Build 15F34))
 of 2016-06-17 built on demucwolf85.muc.de.ad.dom
Windowing system distributor 'Apple', version 10.3.1404
Configured using:
 'configure --with-ns --disable-ns-self-contained
 '--enable-locallisppath=/Library/Application Support/Emacs''

Configured features:
RSVG IMAGEMAGICK NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS

Important settings:
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

all scroll too much when I use the extra Bluetooth trackpad of an iMac (27“, Late 2013) instead of the Mighty Mouse.

For example in Safari, reading an entry in Wikipedia, the scrolling action is OK, I can easily synchronize speed of reading and speed of scrolling. In the NS variants the scrolling is much too fast, I would need to move my two fingers by µm/sec and not by human mm/sec. Or is there a hidden setting I have to change?

The X client,

In GNU Emacs 24.5.1 (x86_64-apple-darwin15.4.0, X toolkit, Xaw3d scroll bars)
 of 2016-05-04 on demucsculz39-02.muc.de.ad.dom
Windowing system distributor `The X.Org Foundation', version 11.0.11604000
Configured using:
 `configure --with-x '--enable-locallisppath=/Library/Application
 Support/Emacs''

Important settings:
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

behaves quite OK with XQuartz 2.7.8 (xorg-server 1.16.4) and XQuartz 2.7.9 (xorg-server 1.17.4). Here it’s possible to set the amount or speed of scrolling.

(Mac) OS X 10.11.5 (15F34), El Capitan. Bluetooth keyboard and Bluetooth trackpad.

—

Greetings

  Pete

f u cn rd ths, itn tyg h myxbl cd.